Subject: [Lsr] IANA Early Allocation Request for "Signaling Entropy Label Capability and Entropy Readable Label Depth Using IS-IS" - draft-ietf-isis-mpls-elc-07

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 23 Aug 2019 16:29:29 +0000

We have a request for IANA allocation for this draft from a vendor implementing the draft. Please provide early allocation for the code points.

 https://datatracker.ietf.org/doc/draft-ietf-isis-mpls-elc/

Thanks,
Acee

---

From: Alvaro Retana <[email-masked]>
Date: Fri, 23 Aug 2019 12:39:26 -0400

Hi!

Just a nit...

IANA can correct me here….  The registries are not eligible for Early
Allocation (rfc7120) because the allocation policy is Expert Review.  Not
to worry, IANA can ask the DEs for allocation.  The nit is that the
allocation would not be subject to renewal/expiration, but would be
permanent.

In any case, this request is ok with me.

Alvaro.

On August 23, 2019 at 12:29:34 PM, Acee Lindem (acee) ([email-masked])
wrote:

We have a request for IANA allocation for this draft from a vendor
implementing the draft. Please provide early allocation for the code points.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 23 Aug 2019 18:18:34 +0000

Alvaro –

Most IS-IS TLV registries are “Expert Review” and we have been doing early allocation for many years now.
Are you now saying this has been invalid process for all of these years??

   Les

From: Lsr <[email-masked]> On Behalf Of Alvaro Retana
Sent: Friday, August 23, 2019 9:39 AM
To: Acee Lindem (acee) <[email-masked]>; IANA <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Lsr] IANA Early Allocation Request for "Signaling Entropy Label Capability and Entropy Readable Label Depth Using IS-IS" - draft-ietf-isis-mpls-elc-07

Hi!

Just a nit...

IANA can correct me here….  The registries are not eligible for Early Allocation (rfc7120) because the allocation policy is Expert Review..  Not to worry, IANA can ask the DEs for allocation.  The nit is that the allocation would not be subject to renewal/expiration, but would be permanent.

Alvaro.

On August 23, 2019 at 12:29:34 PM, Acee Lindem (acee) ([email-masked]<mailto:[email-masked]>) wrote:
We have a request for IANA allocation for this draft from a vendor implementing the draft. Please provide early allocation for the code points.

---

From: Alvaro Retana <[email-masked]>
Date: Fri, 23 Aug 2019 14:56:44 -0400

On August 23, 2019 at 2:18:37 PM, Les Ginsberg (ginsberg) (
[email-masked]) wrote:

Most IS-IS TLV registries are “Expert Review” and we have been doing early
allocation for many years now.

No, not exactly.

What I’m saying is that the rfc7120 process doesn’t apply to registries
which are Expert Review only; specifically, look at §3.

For Expert Review only registries, IANA still has to be in the loop when
doing the allocation, because they are the interface with the DEs.
However, unlike early allocations done through rfc7120, the DE-assigned
ones don’t expire…and the requirements for Expert Review may be simpler.
So, the allocation may be done “early”, as in before the process is
complete…which is perfectly fine, as long as there are no explicit
instructions in the registry-creating RFC, and the DE approves.

For example, a registry with an RFC Required policy needs an RFC —
obviously!  So the rfc7120 process allows for the early (= before an RFC is
published) assignment.  As part of the process, the assignments expire
every year and have to be explicitly renewed….in case the work is abandoned
and never completed, for example.

OTOH, unless explicitly indicated in the RFC that defined the registry, a
DE may assign a code point at pretty much any time (see §5/rfc8126).

Again, IANA can correct me.

Alvaro.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 23 Aug 2019 19:01:24 +0000

To summarize, “early” allocation has been done by the IS-IS Designated Experts. However, these allocations have been permanent as opposed to temporary. If there were ever a problem with an early allocation,  the allocation would need to be deprecated rather than simply expire.
Thanks,
Acee

From: Alvaro Retana <[email-masked]>
Date: Friday, August 23, 2019 at 2:56 PM
To: "Les Ginsberg (ginsberg)" <[email-masked]>, Acee Lindem <[email-masked]>, IANA <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [Lsr] IANA Early Allocation Request for "Signaling Entropy Label Capability and Entropy Readable Label Depth Using IS-IS" - draft-ietf-isis-mpls-elc-07

On August 23, 2019 at 2:18:37 PM, Les Ginsberg (ginsberg) ([email-masked]<mailto:[email-masked]>) wrote:
Most IS-IS TLV registries are “Expert Review” and we have been doing early allocation for many years now.
Are you now saying this has been invalid process for all of these years??

No, not exactly.

What I’m saying is that the rfc7120 process doesn’t apply to registries which are Expert Review only; specifically, look at §3.

For Expert Review only registries, IANA still has to be in the loop when doing the allocation, because they are the interface with the DEs.  However, unlike early allocations done through rfc7120, the DE-assigned ones don’t expire…and the requirements for Expert Review may be simpler.  So, the allocation may be done “early”, as in before the process is complete…which is perfectly fine, as long as there are no explicit instructions in the registry-creating RFC, and the DE approves.

For example, a registry with an RFC Required policy needs an RFC — obviously!  So the rfc7120 process allows for the early (= before an RFC is published) assignment.  As part of the process, the assignments expire every year and have to be explicitly renewed….in case the work is abandoned and never completed, for example.

OTOH, unless explicitly indicated in the RFC that defined the registry, a DE may assign a code point at pretty much any time (see §5/rfc8126).

Alvaro.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 23 Aug 2019 20:07:07 +0000

Well, I hate to argue process. 😊

But what you folks are saying isn’t matching what is recorded in the IS-IS registries. To provide one example:

16           Application Specific Link Attributes (TEMPORARY - registered 2018-04-27, extension registered 2019-04-01, expires 2020-04-27)        y              y              y(s)         y              y              y              [draft-ietf-isis-te-app]

There is also https://tools.ietf.org/html/rfc7370#section-4

“6.  In the event that the document fails to progress to RFC, the
       Expiry and deallocation process defined in [RFC7120] MUST be
       followed for the relevant codepoints -- noting that the
       Designated Experts perform the role assigned to Working Group
       chairs.”

I also don’t know why we need to mess with something that has been working quite well for years now…

   Les

From: Acee Lindem (acee) <[email-masked]>
Sent: Friday, August 23, 2019 12:01 PM
To: Alvaro Retana <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; IANA <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Lsr] IANA Early Allocation Request for "Signaling Entropy Label Capability and Entropy Readable Label Depth Using IS-IS" - draft-ietf-isis-mpls-elc-07

From: Alvaro Retana <[email-masked]<mailto:[email-masked]>>
Date: Friday, August 23, 2019 at 2:56 PM
To: "Les Ginsberg (ginsberg)" <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, IANA <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Lsr] IANA Early Allocation Request for "Signaling Entropy Label Capability and Entropy Readable Label Depth Using IS-IS" - draft-ietf-isis-mpls-elc-07

No, not exactly.

Alvaro.